Download it now!
Bug 35759 - [UI] provide Scroll of fractional cell width/hight
Summary: [UI] provide Scroll of fractional cell width/hight
Status: RESOLVED DUPLICATE of bug 35287
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 95920 117487 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-29 01:48 UTC by Daniel André Eikeland
Modified: 2019-05-05 11:50 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel André Eikeland 2011-03-29 01:48:33 UTC
When scrolling a spreadsheet, the scrolling snaps to rows, instead of smoothly. This makes the spreadsheet "jump" when scrolling, instead of providing a smooth scrolling experience.

Would it be possible to provide an option for "smooth" scrolling, so I can align the spreadsheet as I self see fit?
Comment 1 Daniel André Eikeland 2011-03-29 01:49:08 UTC
This is the same feature request as openoffice.org bug report 7722:
http://openoffice.org/bugzilla/show_bug.cgi?id=7722
Comment 2 Russ Flynn 2011-03-29 02:01:35 UTC
I would very much like this also - even for sheets that don't have huge amounts of text, it can be very uncomfortable to snap-scroll.
Comment 3 dubreucq 2011-07-21 18:05:52 UTC
For OpenOffice, see also the bug n°81907:
http://openoffice.org/bugzilla/show_bug.cgi?id=81907

This smooth scroll option was requested 10 years ago, but no result. If LibreOffice team is more dynamic, we may see this improvement one day. It would be appreciated!
Comment 4 Björn Michaelsen 2011-12-23 11:48:40 UTC Comment hidden (obsolete)
Comment 5 dubreucq 2012-01-10 18:24:54 UTC
I confirm that this problem remains in LibO 3.5.0 Beta 2.

Still no option for smooth scrolling.
Comment 6 Rainer Bielefeld Retired 2012-01-10 23:02:31 UTC
<http://wiki.documentfoundation.org/BugReport_Details#Version>

Inherited from OOo, so Version -> 3.3.0 Beta

This is a CALC enhancement request

Status of this bug report has been modified wrongly by a bulk change.
Comment 7 Bojan Markovic 2012-05-28 07:59:03 UTC
Why was this request marked medium importance enhancement? 

If it blocks work (as in when spreadsheet has large enough cells so that you either zoom out so much text is unusable, or you just can't find your cells because of abrupt jumping), isn't it really a bug?

Does it require adding fundamental additional functionality (since I can't see how non-smooth jump scrolling could have been implemented without first implementing scrolling to a certain height in the document in the first place)?

As you can see in the OO.o bug, many consider this a showstopper for using some spreadsheets. It has run for 10 years now and no-one moved it a bit. It keeps getting pushed aside.

Is this very difficult to do or would it be a good candidate for an Easy Hack?

Thank you for reconsidering this issue.
Comment 8 Rainer Bielefeld Retired 2012-05-28 21:55:24 UTC
Back to Enhancement!

@Bojan Markovic
It's not a bug because there is no mistake in the code and because the limitation is "by design" and accepted. OOo 1.1 spreadsheet was not buggy because it was limited to 32000 rows, that was it's design. 

The original idea of spreadsheets was that the cells show numbers and short strings for calculations. For that use the current scroll behavior is a negligible limitation. But of course discussion whether usability can be enhanced (by enhancements) is fair and necessary.

May be you should wait for an answer to your questions before you start actions.
Comment 9 Bojan Markovic 2012-05-29 00:55:11 UTC
Ok, the gist of my remark was that it is usually not the user who objects that has created problematic spreadsheet (otherwise he wouldn't have done it in the first place) it is usually received from somewhere and one must work with it.

Be it by design or not, this means that it's an issue that causes user-unsolvable problems, what might be open to discussion is the severity of it's effect on users and their work.

Still, I will refrain from "touching the pretty buttons" in the future.
Comment 10 Georg 2013-07-08 08:35:25 UTC
From me as a user, my perspective is that this is a serious bug (though I can understand that from a developers perspective this is probably more a nuisance or an enhancement request at best).

I feel the whole idea of merged cells vs. large single cell is not user-friendly when it comes to scrolling. Visually, both are quite close (though merged cells are more flexible). Scrolling wise, single cells are a nightmare right now and what is worst, they are an unexpected nightmare, especially in documents (and I have and do create those) with a mixture of large single cells (in my use case for single quotations) and merged cells (in my use case denoting the range of cells dedicated to the author of those quotes). 

Scrolling becomes near unpredictable and unnavigable in these cases unless you pay very close attention to the left-hand row numbering spacing all the time and even then it is very difficult to land where you intended to go.

Now you could say of course, spreadsheets were not designed for these. But then I'll say that 1. they do allow it by design and 2. it is very bad design and user experience to allow for something and then tell users that they should not do it.

So please, do fix this implementation bug. The current scroll implementation really does confuse quite some people who are using LibreOffice Calc in normal and reasonable ways.

Make it optional if you prefer, as apparently and not surprisingly given overall quality of the software, there are diverse people using Calc in diverse ways.
Comment 11 Buovjaga 2015-11-19 07:35:04 UTC
*** Bug 95920 has been marked as a duplicate of this bug. ***
Comment 12 Kamei 2016-11-16 01:39:54 UTC
Does anybody work on this request?
Comment 13 V Stuart Foote 2018-05-07 21:19:23 UTC
*** Bug 117487 has been marked as a duplicate of this bug. ***
Comment 14 Simon 2018-06-30 18:57:30 UTC

*** This bug has been marked as a duplicate of bug 35287 ***
Comment 15 tbreportbug 2019-03-06 16:34:25 UTC
Why is this BUG still not fixed?

Calc is almost unusable without smooth scrolling in these cases:

- Document has cells which have long vertical height.
- Some cells in the document use "Wrap text automatically" from the cell Format settings.

Smooth scrolling option should exist. Or actually, it should be the default.
Comment 16 Xisco Faulí 2019-03-20 17:53:44 UTC
The problem is already tracked in bug 35287. Closing as RESOLVED DUPLICATED

*** This bug has been marked as a duplicate of bug 35287 ***